perl  sip_scenario.pl -Iethereal_trace_test_doc.bat
rem or sip_scenario.exe -Iethereal_trace_test_doc.bat
exit
#file: ethereal_trace_test_doc.bat
#from Cmd Window: cmd /c ethereal_trace_test_doc.bat
##################################################################################################
# This file demonstrates the following:
#	* applies documentation commands
#		* The ability to change the colors used in the html scenarios
#		* The adding of comments to a scenario
#		* The exclusion of specific physical frames from the trace
#		* reordering specific physical frames
#		* adding user defined Sip messages to an existing scenario
#	* illustrates the highest level of vertical compression. has the most trace lines per inch.
#	* illustrates three different transactions highlighted in different colors
#	* illustrates the inclusion of statistics at the end of the document

# rememebr that the file sip_scenario.ini is automatically included by sip_scenario.pl the next line is just a reminder
#-Isip_scenario.ini	 		# file that contains user preferences. It is commented out because it has been already executed.

ethereal_trace.dump	  			# input file
-oethereal_trace_test_doc.html 			# output file
-tTest Sample Callflow - Attended Transfer 	# set title
-g30 			 			# set gapwidth between lines
-format:s:0/0		 			# turn off insertions of extra spaces
-format:t:5		 			# display delta and time of day stamp
-colors:Green,Blue,Red,#F08040,Navy 		# define colors if required. Must used Html colors
-format:v:0					# do maximum vertical compression. see the most sip message at a time
-stat:1						# turn on statistics at the end of the document

-commentprefix:                               :	# set the indentation for each comment lines
## add comments as required.  remember \n adds a new line
-comment:0:\nChris Calls Joe
-comment:11:\nJoe answers call
-comment:14:\nThe call is Established.\nChris and Joe talk. Joe asks to be transfered to Leo.\n\
Chris trigger's a transfer to Leo.\n\
The original call to joe is put on hold
-comment:17:\nA new call to Leo is placed
-comment:24:\nCall to Joe is now on hold and call to leo is ringing.
-comment:31:\nLeo Answers call
-comment:35:\nCall is established.\nChris talk to Leo. Leo wants the call. Chris finishes the transfer.\n\
The call from Chris to leo is put on hold.\n\
Chris's phone send REFER to Joe so that joe's Sip phone can call Leo
-comment:45:\nJoe's Phone receives Refer\n\
Joe's Phone call's Leo Phone
-comment:48:\nLeo's phone receives INVITE.\nLeo's Phone terminates call from Chris. And acceptes call from Joe.
-comment:59:\nThe original phone call is successfully transfered. \n\
Joe's Phone sends notifies Chris's phone that the transfer is successful.
-comment:62:\nChris's Phone receive notify, and then terminates the original call to Joe.
-comment:67:\nI don't Understand the following two message's
-comment:71:\nThe Transfer processes is completed.\nJoe is talking to Leo, and then Leo hangs up.
-comment:99:\nAdd a New Fake Sip Message to the scenario.

# the following is used only for documention purposes
# the following add sip messages to a trace for illustration.
# they are not included in this sample
-exclude:7,28				# remove extra ringing message sent by proxy
-reorder:21-24:17			# move response to invite immediate after invite
-reorder:49-50:40			# move response to invite immediate after invite

# Illustrate adding Sip Messages to the scenario Trace
-fake:10.25.200.148:10.25.200.220:0:99:SomeMethod SIP/2.0\n\
User-Agent:SipScenario\n\
ContentType=application/XYZ\n\
\n\
This is a content record\n\
This is another content record\n

-fake:10.25.200.220:10.25.200.148:0:99:SIP/2.0 402 Some Response\n\
User-Agent:SipScenario\n\
ContentType=application/XYZ\n\
\n\
This is a content record\n\
This is another content record\n

end-of-file				# terminate include file here

################################################################################################################

The SIP Scenario Generator Software License, Version 1.1

Copyright (c) 2003 IPC Information Systems Inc.  All rights reserved.

Redistribution and use in source and binary forms, with or without modification, 
are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, 
this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, 
this list of conditions and the following disclaimer in the documentation 
and/or other materials provided with the distribution.

3. The end-user documentation included with the redistribution, 
if any, must include the following acknowledgment:

"This product includes software developed by 
IPC Information Systems Inc (http://www.ipc.com/)."

Alternately, this acknowledgment may appear in the software itself, 
if and wherever such third-party acknowledgments normally appear.

4. The names "SIP Scenario Generator" and "IPC Information Systems Inc" 
must not be used to endorse or promote products derived from this software 
without prior written permission. For written permission, please contact 
the legal department at IPC Information Systems Inc.

5. Products derived from this software may not be called "SIP Scenario Generator", 
nor may "SIP Scenario Generator" appear in their name, without prior written 
permission of IPC Information Systems Inc.

THIS SOFTWARE IS PROVIDED ``AS IS`` AND ANY EXPRESSED OR IMPLIED WARRANTIES, 
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL 
IPC INFORMATION SYSTEMS INC OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF 
ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This software consists of voluntary contributions made by 
Ray Elliott of IPC information System Inc. e-mail:ray.elliott@ipc.com
please see <http://www.ipc.com/>.

################################################################################################################

